> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all contact lists

> This endpoint will return all the contact lists for an account. Use case for this endpoint: It can be used to synchronize list filters between HubSpot and an external system.



## OpenAPI

````yaml specs/legacy/v1/crm-lists-v1-contacts.json GET /contacts/v1/lists
openapi: 3.0.0
info:
  title: CRM Contact Lists API v1
  version: 1.0.0
  description: Legacy CRM Contact Lists API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/lists:
    get:
      summary: Get all contact lists
      description: >-
        This endpoint will return all the contact lists for an account. Use case
        for this endpoint: It can be used to synchronize list filters between
        HubSpot and an external system.
      operationId: getcontactsv1lists
      parameters:
        - name: count
          in: query
          required: false
          description: >-
            An integer representing the number of lists you want returned to
            your call. If the parameter isn't included, it defaults to 20. The
            maximum accepted value is 250; higher values will be accepted, but
            you will only get 250 records.
          schema:
            type: integer
            default: 20
            maximum: 250
        - name: offset
          in: query
          required: false
          description: >-
            Used to page through the results. Each request will include a
            "has-more" field in the response JSON, which lets you know if there
            are more lists that you can pull. If "has-more" is true, you can use
            the returned offset parameter in the next request to get the next
            set of results.
          schema:
            type: integer
      responses:
        '200':
          description: Successful response with list of contact lists
          content:
            application/json:
              schema:
                type: object
                properties:
                  lists:
                    type: array
                    items:
                      $ref: '#/components/schemas/ContactList'
                  offset:
                    type: integer
                  has-more:
                    type: boolean
components:
  schemas:
    ContactList:
      type: object
      properties:
        listId:
          type: integer
        name:
          type: string
        dynamic:
          type: boolean
        listType:
          type: string
          enum:
            - STATIC
            - DYNAMIC
        portalId:
          type: integer
        createdAt:
          type: integer
        updatedAt:
          type: integer
        internalListId:
          type: integer
        deleteable:
          type: boolean
        metaData:
          type: object
          properties:
            processing:
              type: string
            size:
              type: integer
            error:
              type: string
            lastProcessingStateChangeAt:
              type: integer
            lastSizeChangeAt:
              type: integer
        filters:
          type: array
          items:
            type: array
            items:
              type: object

````